import { ItemwiseStrategyBasedIndicator } from "./ItemwiseStrategyBasedIndicator";
import { ItemwiseIndicatorCalculationStrategy } from "./ItemwiseIndicatorCalculationStrategy";
import { Type } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class MedianPriceIndicator extends ItemwiseStrategyBasedIndicator {
    static $t: Type;
    protected get_s6(): ItemwiseIndicatorCalculationStrategy;
    get s6(): ItemwiseIndicatorCalculationStrategy;
    protected get_sx(): Type;
    protected get sx(): Type;
}
